Florian Ragwitz > Moose-Policy-0.04 > Moose::Policy::SingleInheritence

Download:
Moose-Policy-0.04.tar.gz

Dependencies

Annotate this POD

CPAN RT

New  1
Open  3
View/Report Bugs
Source   Latest Release: Moose-Policy-0.05

NAME ^

Moose::Policy::SingleInheritence - Why would you ever need more than one?

SYNOPSIS ^

  package Foo;
  
  use Moose::Policy 'Moose::Policy::SingleInheritence';
  use Moose;
  
  package Bar;
  
  use Moose::Policy 'Moose::Policy::SingleInheritence';
  use Moose;
  
  package Foo::Bar;
  
  use Moose::Policy 'Moose::Policy::SingleInheritence';
  use Moose;
  
  extends 'Foo', 'Bar';  # BOOM!!!!

DESCRIPTION ^

This module restricts Moose's extends keyword so that you can only assign a single superclass.

This is mostly an example of how you can restrict behavior with meta-policies in addition to extending and/or customising them. However, sometimes enforcing a policy like this can be a good thing.

BUGS ^

All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR ^

Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE ^

Copyright 2006-2007 by Infinity Interactive, Inc.

http://www.iinteractive.com

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

syntax highlighting: